package com.zfire.mall.manager.logic.k3;

import com.zfire.mall.manager.plus.entity.KingDeeRequestLog;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
public class K3RequestLogLogic {

    @Transactional(rollbackFor = Exception.class, propagation = Propagation.NOT_SUPPORTED)
    public void createLog(String deal, String formId, String content, String result) {
        KingDeeRequestLog log = new KingDeeRequestLog();
        log.setDeal(deal)
                .setFormId(formId)
                .setRequestContent(content)
                .setRessultContent(result);
        log.insert();
    }
}
